Home

Get Transactions

GET
https://ton-index.nownodes.io/api/v3/transactions

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Get transactions by specified filters.

Parameters

workchainintegerquery

Block workchain.

shardstringquery

Block shard id. Must be sent with workchain. Example: 8000000000000000

seqnointegerquery

Block block seqno. Must be sent with workchain and shard. Must be sent in hex form.

accountArray<string>query

List of account addresses to get transactions. Can be sent in hex, base64 or base64url form.

exclude_accountArray<string>query

Exclude transactions on specified account addresses

hashstringquery

Transaction hash. Acceptable in hex, base64 and base64url forms.

ltintegerquery

Transaction lt.

start_utimeintegerquery

Query transactions with generation UTC timestamp after given timestamp.

end_utimeintegerquery

Query transactions with generation UTC timestamp before given timestamp

start_ltintegerquery

Query transactions with lt >= start_lt

end_ltintegerquery

Query transactions with lt <= end_lt

limitinteger[1, 256]128query

Limit number of queried rows. Use with offset to batch read.

offsetinteger>= 00query

Skip first N rows. Use with limit to batch read.

sortstringascdescdescquery

Sort transactions by lt.

Response

200OK

Successful Response

422Unprocessable Entity

Validation Error